Subject: Swimming B-25 info
From: "bebrown1" <[email-masked]>
To: "Steve Bamford" <[email-masked]>
Date: Sat, 19 Aug 2000 19:45:25 -0400

Hi Steve,

I crawled through that airplane about fifteen years ago right after they got it out of the lake. The guy at the FBO told me that the pilot had a girlfriend in Columbia. She was at the lake (can't remember which one) and he buzzed her to show off, but flew into the lake. I can't remember if there were any casualties besides the pilot's career.

The airplane is in terrible shape. They just sheet-metaled the belly to look sort of like a B-25. They found new engines and props from somewhere because the originals were just corroded lumps. Not a good restoration, but they didn't have a lot to work with anyway.

Last time I saw it, the plane was sitting outside at the Columbia Downtown Airport.

Cheers!
 
Ben Brown